%define		module	burn
Summary:	simple and quick way to burn CDs or DVDs
Summary(pl.UTF-8):	prosty skrypt umożliwiający wypalanie CD/DVD
Name:		python-%{module}
Version:	0.4.4
Release:	5
License:	GPL v2
Group:		Development/Languages/Python
Source0:	http://www.bigpaul.org/burn/download/%{module}-%{version}.tar.gz
# Source0-md5:	89526cac818f216eb93407b47d05f971
Patch0:		%{name}-confdir.patch
URL:		http://www.bigpaul.org/burn/
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
Requires:	cdrdao
Requires:	cdrecord
Requires:	mkisofs
Requires:	python-eyeD3
Requires:	python-mad
Requires:	python-modules
Requires:	python-pyao
Requires:	python-pyvorbis
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Burn is a simple program/script written in Python. It's aim is to make
it simple and quick to burn CDs or DVDs.

%description -l pl.UTF-8
Burn jest prostym skryptem napisanym w języku Python. Jego zadaniem
jest umożliwienie wypalenia płyt CD/DVD w możliwie prosty i szybki
sposób.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install

install -d $RPM_BUILD_ROOT%{_sysconfdir}/burn
install -d $RPM_BUILD_ROOT%{_mandir}/man1
cp doc/{burn.1,burn-configure.1} $RPM_BUILD_ROOT%{_mandir}/man1
cp burn.conf $RPM_BUILD_ROOT%{_sysconfdir}/burn

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/AUTHORS doc/BUGS changelog doc/KNOWN_BUGS README doc/TODO doc/WISHLIST burn.conf-dist burn.conf
%dir %{_sysconfdir}/burn
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/burn/burn.conf
%attr(755,root,root) %{_bindir}/burn
%attr(755,root,root) %{_bindir}/burn-configure
%dir %{py_sitescriptdir}/burnlib
%{py_sitescriptdir}/burnlib/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/%{module}-%{version}-*.egg-info
%endif
%{_mandir}/man1/burn.1*
%{_mandir}/man1/burn-configure.1*
%changelog
* Sat Mar 06 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-burn.git;a=log;h=master

* Sat Mar 06 2021 Jan Rękorajski <baggins@pld-linux.org> 122cea8
- release 5 (by relup.sh)

* Sat Mar 06 2021 Jan Rękorajski <baggins@pld-linux.org> 5f96619
- noarch package

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 7688934
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 0dbf46b
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> a8041b8
- automatic change: use py_build/py_install macros

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 7edffb5
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c8135c2
- release 2

* Mon Oct 05 2009 duddits <duddits@pld-linux.org> 265456e
- rel.1, works

* Sun Sep 20 2009 duddits <duddits@pld-linux.org> c84bb18
- R: python-{mad,pyao}

* Sun Sep 20 2009 duddits <duddits@pld-linux.org> c0cbab7
- updated

* Sun Sep 20 2009 duddits <duddits@pld-linux.org> a046f18
- for /etc/burn/burn.conf

* Sun Sep 20 2009 duddits <duddits@pld-linux.org> a98a821
- rel. 0.2
- confdir.patch added for /etc/burn config dir and example conf file

* Thu Aug 20 2009 duddits <duddits@pld-linux.org> b34f26f
- new

